HttpResponse::setLastModified
HttpResponse::setThrottleDelay
The HttpResponse
PHP Manual

# HttpResponse::setStream

(PECL pecl_http:0.10.0-1.5.5)

HttpResponse::setStream — Set stream

### Description

static bool HttpResponse::setStream ( resource `$stream` )

Set the resource to be sent.

> Note: Previously calculated or defined ETag and Last-Modified will be recalculated and redefined.

### Parameters

`stream`

  already opened stream from which the data to send will be read

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- HttpResponse::getData
- HttpResponse::setData
- HttpResponse::getFile
- HttpResponse::setFile
- HttpResponse::getStream

HttpResponse::setLastModified
HttpResponse::setThrottleDelay
The HttpResponse
PHP Manual